> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Ratios TTM

> Retrieves fundamental company ratios for a company, including revenue, expenses, and profitability metrics across reporting periods.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/company-ratios-ttm/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/company-ratios-ttm/query:
    post:
      tags:
        - Financials & Ratios
      summary: Company Ratios TTM
      description: >-
        Retrieves fundamental company ratios for a company, including revenue,
        expenses, and profitability metrics across reporting periods.
      operationId: query_company_ratios_ttm_v1_company_ratios_ttm_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyRatiosTTMQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyRatiosTTMResponse'
components:
  schemas:
    CompanyRatiosTTMQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            An object containing the identifier value(s) and their type for the
            Company Ratios TTM tool.
      type: object
      required:
        - identifier
      title: CompanyRatiosTTMQuery
    CompanyRatiosTTMResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/CompanyRatiosTTM'
          type: array
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: CompanyRatiosTTMResponse
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    CompanyRatiosTTM:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: RavenPack internal entity identifier.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier provided in the request, e.g., stock symbol.
          examples:
            - GOOGL
        gross_profit_margin_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Gross Profit Margin Ttm
          description: Gross profit margin TTM.
          example: 0.589
        ebit_margin_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Ebit Margin Ttm
          description: EBIT margin TTM.
          example: 0.377
        ebitda_margin_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Ebitda Margin Ttm
          description: EBITDA margin TTM.
          example: 0.425
        operating_profit_margin_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Operating Profit Margin Ttm
          description: Operating profit margin TTM.
          example: 0.327
        pretax_profit_margin_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Pretax Profit Margin Ttm
          description: Pretax profit margin TTM.
          example: 0.376
        continuous_operations_profit_margin_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Continuous Operations Profit Margin Ttm
          description: Continuous operations profit margin TTM.
          example: 0.311
        net_profit_margin_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Net Profit Margin Ttm
          description: Net profit margin TTM.
          example: 0.311
        bottom_line_profit_margin_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Bottom Line Profit Margin Ttm
          description: Bottom line profit margin TTM.
          example: 0.311
        receivables_turnover_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Receivables Turnover Ttm
          description: Receivables turnover TTM.
          example: 6.747
        payables_turnover_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Payables Turnover Ttm
          description: Payables turnover TTM.
          example: 18.268
        inventory_turnover_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Inventory Turnover Ttm
          description: Inventory turnover TTM.
          example: 0
        fixed_asset_turnover_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Fixed Asset Turnover Ttm
          description: Fixed asset turnover TTM.
          example: 1.708
        asset_turnover_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Asset Turnover Ttm
          description: Asset turnover TTM.
          example: 0.74
        current_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Current Ratio Ttm
          description: Current ratio TTM.
          example: 1.904
        quick_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Quick Ratio Ttm
          description: Quick ratio TTM.
          example: 1.904
        solvency_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Solvency Ratio Ttm
          description: Solvency ratio TTM.
          example: 0.958
        cash_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Cash Ratio Ttm
          description: Cash ratio TTM.
          example: 0.241
        price_to_earnings_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Price To Earnings Ratio Ttm
          description: Price-to-earnings ratio TTM.
          example: 26.708
        price_to_earnings_growth_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Price To Earnings Growth Ratio Ttm
          description: PEG ratio TTM.
          example: 5.761
        forward_price_to_earnings_growth_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Forward Price To Earnings Growth Ratio Ttm
          description: Forward PEG ratio TTM.
          example: 2.066
        price_to_book_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Price To Book Ratio Ttm
          description: Price-to-book ratio TTM.
          example: 8.505
        price_to_sales_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Price To Sales Ratio Ttm
          description: Price-to-sales ratio TTM.
          example: 8.292
        price_to_free_cash_flow_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Price To Free Cash Flow Ratio Ttm
          description: Price-to-free-cash-flow ratio TTM.
          example: 46.154
        price_to_operating_cash_flow_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Price To Operating Cash Flow Ratio Ttm
          description: Price-to-operating-cash-flow ratio TTM.
          example: 23.086
        debt_to_assets_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Debt To Assets Ratio Ttm
          description: Debt-to-assets ratio TTM.
          example: 0.083
        debt_to_equity_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Debt To Equity Ratio Ttm
          description: Debt-to-equity ratio TTM.
          example: 0.115
        debt_to_capital_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Debt To Capital Ratio Ttm
          description: Debt-to-capital ratio TTM.
          example: 0.103
        long_term_debt_to_capital_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Long Term Debt To Capital Ratio Ttm
          description: Long-term debt-to-capital ratio TTM.
          example: 0.061
        financial_leverage_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Financial Leverage Ratio Ttm
          description: Financial leverage ratio TTM.
          example: 1.383
        working_capital_turnover_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Working Capital Turnover Ratio Ttm
          description: Working capital turnover ratio TTM.
          example: 4.975
        operating_cash_flow_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Operating Cash Flow Ratio Ttm
          description: Operating cash flow ratio TTM.
          example: 1.531
        operating_cash_flow_sales_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Operating Cash Flow Sales Ratio Ttm
          description: Operating cash flow/sales ratio TTM.
          example: 0.36
        free_cash_flow_operating_cash_flow_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Free Cash Flow Operating Cash Flow Ratio Ttm
          description: FCF/OCF ratio TTM.
          example: 0.499
        debt_service_coverage_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Debt Service Coverage Ratio Ttm
          description: Debt service coverage ratio TTM.
          example: 29.641
        interest_coverage_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Interest Coverage Ratio Ttm
          description: Interest coverage ratio TTM.
          example: 301.915
        short_term_operating_cash_flow_coverage_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Short Term Operating Cash Flow Coverage Ratio Ttm
          description: Short-term OCF coverage ratio TTM.
          example: 32.556
        operating_cash_flow_coverage_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Operating Cash Flow Coverage Ratio Ttm
          description: Operating cash flow coverage ratio TTM.
          example: 3.209
        capital_expenditure_coverage_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Capital Expenditure Coverage Ratio Ttm
          description: CapEx coverage ratio TTM.
          example: 1.996
        dividend_paid_and_capex_coverage_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Dividend Paid And Capex Coverage Ratio Ttm
          description: Dividend & CapEx coverage ratio TTM.
          example: 1.74
        dividend_payout_ratio_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Dividend Payout Ratio Ttm
          description: Dividend payout ratio TTM.
          example: 0.085
        dividend_yield_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Dividend Yield Ttm
          description: Dividend yield TTM.
          example: 0.003
        enterprise_value_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Enterprise Value Ttm
          description: Enterprise value TTM.
          example: 3100393856350
        revenue_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Revenue Per Share Ttm
          description: Revenue per share TTM.
          example: 30.638
        net_income_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Net Income Per Share Ttm
          description: Net income per share TTM.
          example: 9.534
        interest_debt_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Interest Debt Per Share Ttm
          description: Interest debt per share TTM.
          example: 3.471
        cash_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Cash Per Share Ttm
          description: Cash per share TTM.
          example: 7.849
        book_value_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Book Value Per Share Ttm
          description: Book value per share TTM.
          example: 29.939
        tangible_book_value_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Tangible Book Value Per Share Ttm
          description: Tangible book value per share TTM.
          example: 27.271
        shareholders_equity_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Shareholders Equity Per Share Ttm
          description: Shareholders' equity per share TTM.
          example: 29.939
        operating_cash_flow_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Operating Cash Flow Per Share Ttm
          description: Operating cash flow per share TTM.
          example: 11.03
        capex_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Capex Per Share Ttm
          description: CapEx per share TTM.
          example: 5.525
        free_cash_flow_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Free Cash Flow Per Share Ttm
          description: Free cash flow per share TTM.
          example: 5.505
        net_income_per_ebt_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Net Income Per Ebt Ttm
          description: Net income/EBT TTM.
          example: 0.827
        ebt_per_ebit_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Ebt Per Ebit Ttm
          description: EBT/EBIT TTM.
          example: 1.151
        price_to_fair_value_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Price To Fair Value Ttm
          description: Price-to-fair-value ratio TTM.
          example: 8.505
        debt_to_market_cap_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Debt To Market Cap Ttm
          description: Debt-to-market-cap ratio TTM.
          example: 0.009
        effective_tax_rate_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Effective Tax Rate Ttm
          description: Effective tax rate TTM.
          example: 0.173
        enterprise_value_multiple_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Enterprise Value Multiple Ttm
          description: Enterprise value multiple TTM.
          example: 19.654
        dividend_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Dividend Per Share Ttm
          description: Dividend per share TTM.
          example: 0.82
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
      title: CompanyRatiosTTM
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````